/*
	List of pre-final Eomi's.

		pomidic[0][i][j] : KSSM Hangul code
			---> KSSM code doesn't support Josa/Eomi variants
		pomidic[1][i][j] : KS C 5601-1987 Hangul code

		N_POMI = 68, POMISIZE = 11 --> defined at 'header/hdics.h'
*/

HAM_UCHAR pomidic[2][N_POMI][POMISIZE] = {
  {
	/*	KSSM code
		0xafa1 : 
		0xb4f6 : 
		0x8956 : 

		0xb041 :  --> 
		0x8476 : --> 
		0x84f6 : ä--> 
		0x8576 : Ť--> 
		0x8496 : --> 
		0x85f6 : ɤ--> 
	*/
	{ 0 },
	{ 0x89, 0x56, 0 },	/*  */
	{ 0xb4, 0xf6, 0 },	/*  */
	{ 0xb4, 0xf6, 0x89, 0x56, 0 },	/*  */
	{ 0xb4, 0xf6, 0 },	/*  */
	{ 0xb4, 0xf6, 0x89, 0x56, 0 },	/*  */
	{ 0xb4, 0xf6, 0xb4, 0xf6, 0 },	/*  */
	{ 0xb4, 0xf6, 0xb4, 0xf6, 0x89, 0x56, 0 },	/*  */
	{ 0xaf, 0xa1, 0 },	/*  */
	{ 0xaf, 0xa1, 0x89, 0x56, 0 },	/* ð */
	{ 0xaf, 0xa1, 0xb4, 0xf6, 0 },	/* þ */
	{ 0xaf, 0xa1, 0xb4, 0xf6, 0x89, 0x56, 0 },	/* þ */
	{ 0xaf, 0xa1, 0xb4, 0xf6, 0 },	/* þ */
	{ 0xaf, 0xa1, 0xb4, 0xf6, 0x89, 0x56, 0 },	/* þ */
	{ 0xaf, 0xa1, 0xb4, 0xf6, 0xb4, 0xf6, 0 },	/* þ */
	{ 0xaf, 0xa1, 0xb4, 0xf6, 0xb4, 0xf6, 0x89, 0x56, 0 },	/* þ */
/* followings are added for Josa/Eomi variants only */
	{ 0xb4, 0x76, 0 },	/* 16:  */
	{ 0xb4, 0x76, 0x89, 0x56, 0 },	/* 17: Ұ */
	{ 0xb4, 0x76, 0xb4, 0xf6, 0 },	/* 18: Ҿ */
	{ 0xb4, 0x76, 0xb4, 0xf6, 0x89, 0x56, 0 },	/* 19: Ҿ */

	{ 0xb5, 0x76, 0 },	/* 20:  */
	{ 0xb5, 0x76, 0x89, 0x56, 0 },	/* 21:  */
	{ 0xb5, 0x76, 0xb4, 0xf6, 0 },	/* 22:  */
	{ 0xb5, 0x76, 0xb4, 0xf6, 0x89, 0x56, 0 },	/* 23:  */

	{ 0xb7, 0x61, 0xaf, 0xa1, 0 },	/* 24:  */
	{ 0xb7, 0x61, 0xaf, 0xa1, 0x89, 0x56, 0 },	/* 25: ð */
	{ 0xb7, 0x61, 0xaf, 0xa1, 0xb4, 0xf6, 0 },	/* 26: þ */
	{ 0xb7, 0x61, 0xaf, 0xa1, 0xb4, 0xf6, 0x89, 0x56, 0 },	/* 27: þ */
	{ 0xb7, 0x61, 0xaf, 0xa1, 0xb4, 0xf6, 0xb4, 0xf6, 0 },	/* 28: þ */
	{ 0xb7, 0x61, 0xaf, 0xa1, 0xb4, 0xf6, 0xb4, 0xf6, 0x89, 0x56, 0 },	/* 29: þ */

	{ 0xad, 0x61, 0 },	/* 30:  */
	{ 0xad, 0x76, 0 },	/* 31:  */
	{ 0xad, 0x76, 0x89, 0x56, 0 },	/* 32: ̰ */
	{ 0xad, 0x76, 0xb4, 0xf6, 0 },	/* 33: ̾ */
	{ 0xad, 0x76, 0xb4, 0xf6, 0x89, 0x56, 0 },	/* 34: ̾ */

	{ 0xb0, 0x41, 0 },	/* 35:  */
	{ 0xb0, 0x41, 0x89, 0x56, 0 },	/* 36:  */
	{ 0xb0, 0x41, 0xb4, 0xf6, 0 },	/* 37:  */
	{ 0xb0, 0x41, 0xb4, 0xf6, 0x89, 0x56, 0 },	/* 38:  */

	{ 0x84, 0x76, 0 },	/* 39:  */
	{ 0x84, 0x76, 0x89, 0x56, 0 },	/* 40:  */
	{ 0x84, 0x76, 0xb4, 0xf6, 0 },	/* 41:  */
	{ 0x84, 0x76, 0xb4, 0xf6, 0x89, 0x56, 0 },	/* 42:  */

	{ 0x84, 0xf6, 0 },	/* 43: ä */
	{ 0x84, 0xf6, 0x89, 0x56, 0 },	/* 44: ä */
	{ 0x84, 0xf6, 0xb4, 0xf6, 0 },	/* 45: ä */
	{ 0x84, 0xf6, 0xb4, 0xf6, 0x89, 0x56, 0 },	/* 46: ä */

	{ 0x85, 0x76, 0 },	/* 47: Ť */
	{ 0x85, 0x76, 0x89, 0x56, 0 },	/* 48: Ť */
	{ 0x85, 0x76, 0xb4, 0xf6, 0 },	/* 49: Ť */
	{ 0x85, 0x76, 0xb4, 0xf6, 0x89, 0x56, 0 },	/* 50: Ť */

	{ 0x84, 0x96, 0 },	/* 51:  */
	{ 0x84, 0x96, 0x89, 0x56, 0 },	/* 52:  */
	{ 0x84, 0x96, 0xb4, 0xf6, 0 },	/* 53:  */
	{ 0x84, 0x96, 0xb4, 0xf6, 0x89, 0x56, 0 },	/* 54:  */

	{ 0x85, 0xf6, 0 },	/* 55: ɤ */
	{ 0x85, 0xf6, 0x89, 0x56, 0 },	/* 56: ɤ */
	{ 0x85, 0xf6, 0xb4, 0xf6, 0 },	/* 57: ɤ */
	{ 0x85, 0xf6, 0xb4, 0xf6, 0x89, 0x56, 0 },	/* 58: ɤ */

	{ 0xb7, 0x61, 0xad, 0x61, 0 },	/* 59:  */
	{ 0xb7, 0x61, 0xad, 0x76, 0 },	/* 60:  */
	{ 0xb7, 0x61, 0xad, 0x76, 0x89, 0x56, 0 },	/* 61: ̰ */
	{ 0xb7, 0x61, 0xad, 0x76, 0xb4, 0xf6, 0 },	/* 62: ̾ */
	{ 0xb7, 0x61, 0xad, 0x76, 0xb4, 0xf6, 0x89, 0x56, 0 },	/* 63: ̾ */

	{ 0x9c, 0xf6, 0 },	/* 64:  */
	{ 0x9c, 0xf6, 0x89, 0x56, 0 },	/* 65:  */
	{ 0x9c, 0xf6, 0xb4, 0xf6, 0 },	/* 66:  */
	{ 0x9c, 0xf6, 0xb4, 0xf6, 0x89, 0x56, 0 },	/* 67:  */
  },
  {
	/*	KSC-5601-1987 code
		0xbdc3 : 
		0xbefa : 
		0xb0da : 

		0xa4b6 :  --> 
		'0' : --> 
		'0' : ä--> 
		'0' : Ť--> 
		'0' : --> 
		'0' : ɤ--> 
	*/
	{ 0 },
	{ 0xb0, 0xda, 0 },	/* 1:  */
	{ 0xbe, 0xfa, 0 },	/* 2:  */
	{ 0xbe, 0xfa, 0xb0, 0xda, 0 },	/* 3:  */
	{ 0xbe, 0xfa, 0 },	/* 4:  */
	{ 0xbe, 0xfa, 0xb0, 0xda, 0 },	/* 5:  */
	{ 0xbe, 0xfa, 0xbe, 0xfa, 0 },	/* 6:  */
	{ 0xbe, 0xfa, 0xbe, 0xfa, 0xb0, 0xda, 0 },	/* 7:  */
	{ 0xbd, 0xc3, 0 },	/* 8:  */
	{ 0xbd, 0xc3, 0xb0, 0xda, 0 },	/* 9: ð */
	{ 0xbd, 0xc3, 0xbe, 0xfa, 0 },	/* 10: þ */
	{ 0xbd, 0xc3, 0xbe, 0xfa, 0xb0, 0xda, 0 },	/* 11: þ */
	{ 0xbd, 0xc3, 0xbe, 0xfa, 0 },	/* 12: þ */
	{ 0xbd, 0xc3, 0xbe, 0xfa, 0xb0, 0xda, 0 },	/* 13: þ */
	{ 0xbd, 0xc3, 0xbe, 0xfa, 0xbe, 0xfa, 0 },	/* 14: þ */
	{ 0xbd, 0xc3, 0xbe, 0xfa, 0xbe, 0xfa, 0xb0, 0xda, 0 },	/* 15: þ */
/* followings are added for Josa/Eomi variants only */
	{ 0xbe, 0xd2, 0 },	/* 16:  */
	{ 0xbe, 0xd2, 0xb0, 0xda, 0 },	/* 17: Ұ */
	{ 0xbe, 0xd2, 0xbe, 0xfa, 0 },	/* 18: Ҿ */
	{ 0xbe, 0xd2, 0xbe, 0xfa, 0xb0, 0xda, 0 },	/* 19: Ҿ */

	{ 0xbf, 0xb4, 0 },	/* 20:  */
	{ 0xbf, 0xb4, 0xb0, 0xda, 0 },	/* 21:  */
	{ 0xbf, 0xb4, 0xbe, 0xfa, 0 },	/* 22:  */
	{ 0xbf, 0xb4, 0xbe, 0xfa, 0xb0, 0xda, 0 },	/* 23:  */

	{ 0xc0, 0xb8, 0xbd, 0xc3, 0 },	/* 24:  */
	{ 0xc0, 0xb8, 0xbd, 0xc3, 0xb0, 0xda, 0 },	/* 25: ð */
	{ 0xc0, 0xb8, 0xbd, 0xc3, 0xbe, 0xfa, 0 },	/* 26: þ */
	{ 0xc0, 0xb8, 0xbd, 0xc3, 0xbe, 0xfa, 0xb0, 0xda, 0 },	/* 27: þ */
	{ 0xc0, 0xb8, 0xbd, 0xc3, 0xbe, 0xfa, 0xbe, 0xfa, 0 },	/* 28: þ */
	{ 0xc0, 0xb8, 0xbd, 0xc3, 0xbe, 0xfa, 0xbe, 0xfa, 0xb0, 0xda, 0 },	/* 29: þ */

	{ 0xbc, 0xc5, 0 },	/* 30:  */
	{ 0xbc, 0xcc, 0 },	/* 31:  */
	{ 0xbc, 0xcc, 0xb0, 0xda, 0 },	/* 32: ̰ */
	{ 0xbc, 0xcc, 0xbe, 0xfa, 0 },	/* 33: ̾ */
	{ 0xbc, 0xcc, 0xbe, 0xfa, 0xb0, 0xda, 0 },	/* 34: ̾ */

	{ 0xa4, 0xb6, 0 },	/* 35:  */
	{ 0xa4, 0xb6, 0xb0, 0xda, 0 },	/* 36:  */
	{ 0xa4, 0xb6, 0xbe, 0xfa, 0 },	/* 37:  */
	{ 0xa4, 0xb6, 0xbe, 0xfa, 0xb0, 0xda, 0 },	/* 38:  */

	{ '0', 0xbe, 0xd2, 0 },	/* 39:  */
	{ '0', 0xbe, 0xd2, 0xb0, 0xda, 0 },	/* 40:  */
	{ '0', 0xbe, 0xd2, 0xbe, 0xfa, 0 },	/* 41:  */
	{ '0', 0xbe, 0xd2, 0xbe, 0xfa, 0xb0, 0xda, 0 },	/* 42:  */

	{ '0', 0xbe, 0xfa, 0 },	/* 43: ä */
	{ '0', 0xbe, 0xfa, 0xb0, 0xda, 0 },	/* 44: ä */
	{ '0', 0xbe, 0xfa, 0xbe, 0xfa, 0 },	/* 45: ä */
	{ '0', 0xbe, 0xfa, 0xbe, 0xfa, 0xb0, 0xda, 0 },	/* 46: ä */

	{ '0', 0xbf, 0xb4, 0 },	/* 47: Ť */
	{ '0', 0xbf, 0xb4, 0xb0, 0xda, 0 },	/* 48: Ť */
	{ '0', 0xbf, 0xb4, 0xbe, 0xfa, 0 },	/* 49: Ť */
	{ '0', 0xbf, 0xb4, 0xbe, 0xfa, 0xb0, 0xda, 0 },	/* 50: Ť */

	{ '0', 0xbe, 0xdd, 0 },	/* 51:  */
	{ '0', 0xbe, 0xdd, 0xb0, 0xda, 0 },	/* 52:  */
	{ '0', 0xbe, 0xdd, 0xbe, 0xfa, 0 },	/* 53:  */
	{ '0', 0xbe, 0xdd, 0xbe, 0xfa, 0xb0, 0xda, 0 },	/* 54:  */

	{ '5', 0xbe, 0xdd, 0 },	/* 55: ɤ */
	{ '5', 0xbe, 0xdd, 0xb0, 0xda, 0 },	/* 56: ɤ */
	{ '5', 0xbe, 0xdd, 0xbe, 0xfa, 0 },	/* 57: ɤ */
	{ '5', 0xbe, 0xdd, 0xbe, 0xfa, 0xb0, 0xda, 0 },	/* 58: ɤ */

	{ 0xc0, 0xb8, 0xbc, 0xc5, 0 },	/* 59:  */
	{ 0xc0, 0xb8, 0xbc, 0xcc, 0 },	/* 60:  */
	{ 0xc0, 0xb8, 0xbc, 0xcc, 0xb0, 0xda, 0 },	/* 61: ̰ */
	{ 0xc0, 0xb8, 0xbc, 0xcc, 0xbe, 0xfa, 0 },	/* 62: ̾ */
	{ 0xc0, 0xb8, 0xbc, 0xcc, 0xbe, 0xfa, 0xb0, 0xda, 0 },	/* 63: ̾ */

	{ 0xb7, 0xb6, 0 },	/* 64:  */
	{ 0xb7, 0xb6, 0xb0, 0xda, 0 },	/* 65:  */
	{ 0xb7, 0xb6, 0xbe, 0xfa, 0 },	/* 66:  */
	{ 0xb7, 0xb6, 0xbe, 0xfa, 0xb0, 0xda, 0 }	/* 67:  */
  }
};

