/*
	File Name: ham-par.h
	Description: header file collections for HAM
	Written by: Kang, Seung-Shik	04/11/1997
*/

/*-------------------------------------------------------------
	Compile options
---------------------------------------------------------------
	1. 95 HAM compile & link  ǵǾ !

		#define WINDOWS  --> unix迭 ʿ !

	2. COM ۵Ǵ macro Ǵ ʿġ 
		̺귯   ǹǷ...
-------------------------------------------------------------*/
/*#define WINDOWS*/

#include <stdio.h>
#include <string.h>

#include "typedefs.h"	/* type definitions */
#include "sizedefs.h"	/* size definitions */
#include "runmode.h"	/* running options */

#include "hamout1.h"	/* morph. analysis structure */
#include "parsek.h"		/* parsing result structure */

#include "pos-tag.h"	/* POS tagset for parsing result */

/*
	Following external functions are defined at HAM library.
	For Windows 95 DLL, external functions are imported.
*/
#ifdef WINDOWS
extern _declspec(dllimport) short open_HAM_parse(HAM_RUNMODE *, char *, char *);
extern _declspec(dllimport) KPAR_PSENT parsing(unsigned char *, HAM_RUNMODE *);
extern _declspec(dllimport) void close_HAM_parse(void);
#else
extern short open_HAM_parse();
extern KPAR_PSENT parsing();
extern void close_HAM_parse();
#endif

/* USED ONLY FOR 'ADJUST_WORD_SPACING' OF INPUT SENTENCE */
#ifdef WINDOWS
extern _declspec(dllimport) int load_bigram_data(char *filename);
extern _declspec(dllimport) void adjust_word_spacing(unsigned char sent[], int);
extern _declspec(dllimport) void free_bigram_data();
#else
extern int load_bigram_data();
extern void adjust_word_spacing();
extern void free_bigram_data();
#endif

#define WELCOME \
	fprintf(stderr, "------------------------------------------------------------------\n"); \
	fprintf(stderr, "       Welcome to HAM(Hangul Analysis Module) version %s\n", VERSION_NUMBER); \
	fprintf(stderr, "   <<< BEFORE USING IT, YOU SHALL READ THE FILE LICENSE.TXT >>>\n"); \
	fprintf(stderr, "------------------------------------------------------------------\n")

#define GOODBYE \
	fprintf(stderr, "------------------------------------------------------------------\n"); \
	fprintf(stderr, "(c) 1993-2001 Kookmin Univ. Kang Seung-Shik, Tel.(+82-2)910-4800\n"); \
	fprintf(stderr, "    Email: sskang@kookmin.ac.kr, http://nlp.kookmin.ac.kr/\n"); \
	fprintf(stderr, "------------------------------------------------------------------\n")
/*--------------------------------- end of ham-par.h ---------------------------------*/
