/*
	File name: parseout.c
	Description: Print-out test of parsing output.
	Written by: Kang, Seung-Shik	1997. 11. 18.
*/
#ifdef WINDOWS
#include "..\header\ham-par.h"
#else
#include "../header/ham-par.h"
#endif

/*extern void put_morph_result();	/* print one morph analed result */

HAM_SHORT vline_flag[30];

void put_blanks(fp, d, n, nodeid)
FILE *fp;
HAM_SHORT d, n, nodeid;
{
	HAM_SHORT i;

	i = (d+1)*4 + n + 3;
	if (nodeid > 9) i++;

	for (i; i < 39; i++) fprintf(fp, " ");
}

/*
	Recursive print-out of a parse tree.
*/
void put_dep_subtree(fp, i, d, n, dpr, mode)
FILE *fp;
HAM_SHORT i;	/* index of current node */
HAM_SHORT d;	/* depth of current node */
HAM_SHORT n;	/* number of children, or 1 for none */
DPAR_PSENT dpr;
HAM_PRUNMODE mode;	/* running mode of HAM */
{
	HAM_SHORT j;
	DPAR_PWORD node = dpr->node + i;

	if (i < 0) return;

	for (j = 0; j < d; j++) {	/* indentation */
		if (vline_flag[j]) fprintf(fp, "|   ");
		else fprintf(fp, "    ");
	}

	fprintf(fp, "+-- %s[%d]%c", node->pw->phon, i, node->rel);

/*
	if (mode->parse.put_morp) {	/* print morph. analed result *
		put_blanks(fp, d, strlen(dpr->kma[i].phon), i);
		put_morph_result(fp, dpr->kma[i].result+dpr->kma[i].gr[1], mode);
	} else
*/
		fprintf(fp, "\n");

	if (node->last != -1) {	/* 1st child */
		if (n > 1) vline_flag[d] = 1;	/* vertical line needed */
		put_dep_subtree(fp, node->last, d+1, node->nch, dpr, mode);
		vline_flag[d] = 0;
	}

	for (j = 0; j < n-1; j++) {	/* other children */
		i = dpr->node[i].left;
		if (n > 1 && j < n-2) vline_flag[d] = 1;	/* vertical line needed */
		put_dep_subtree(fp, i, d, 1, dpr, mode);
		vline_flag[d] = 0;
	}
}

/*
	Print-out parse tree.
*/
void put_dep_tree(fp, dpr, mode)
FILE *fp;
DPAR_PSENT dpr;
HAM_PRUNMODE mode;	/* running mode of HAM */
{
	HAM_SHORT i;

	for (i = 0; i < 30; i++) vline_flag[i] = 0;

	put_dep_subtree(fp, dpr->root, 0, /*1*/dpr->nch0, dpr, mode);
	fprintf(fp, "\n");
}

/*
	print-out dependency relation.
*/
void put_dep_relation(fp, dpr)
FILE *fp;
DPAR_PSENT dpr;
{
	HAM_SHORT i;
	DPAR_PWORD node;

	fprintf(fp, "WID  WORD       GOV <NCHILD FST LST> <LEFT RIGHT> DEPTH\n");
	for (i = 0; i < dpr->nword; i++) {
		node = dpr->node + i;
		fprintf(fp, "[%2d] %-10s ", i, node->pw->phon);
		fprintf(fp, " %2d <%2d(%2d)  %2d %2d > ", node->gov[0],
			node->nch, node->nod, node->first, node->last);
		fprintf(fp, "  <%2d %2d> %6d\n", node->left, node->right, node->depth);
		
	}
}

/*
	Print-out test of depency structure.
*/
void dep_parsing_out(fp, dpr, mode)
FILE *fp;
DPAR_PSENT dpr;
HAM_PRUNMODE mode;	/* running mode of HAM */
{
	if (mode->parse.put_depn || mode->parse.put_tree) {
		if (mode->echosent)
			fprintf(fp, "parse: %s\n", dpr->pmr->phon);
		put_dep_tree(fp, dpr, mode);	/* print-out depn. parse tree */
	}

	if (mode->parse.put_depn == 2)
		put_dep_relation(fp, dpr); 	/* print-out depn. relation */
}
/*----------------------- end of parseout.c --------------------------*/
